> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post paymentscustomers



## OpenAPI

````yaml /openapi.json post /payments/customers
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /payments/customers:
    post:
      tags:
        - payments
        - debug
      operationId: PaymentsController_createCustomer
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCustomerInputBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateCustomerOutput'
components:
  schemas:
    CreateCustomerInputBody:
      type: object
      properties:
        metadata:
          description: metadata assigned to the object
          type: array
          items:
            $ref: '#/components/schemas/Metadata'
        name:
          type: string
          description: the name of the customer
        test:
          type: boolean
          description: is it a test customer
      required:
        - metadata
        - name
        - test
    CreateCustomerOutput:
      type: object
      properties:
        id:
          type: string
          description: the id of the stripe customer
      required:
        - id
    Metadata:
      type: object
      properties:
        key:
          type: string
          description: the key of the metadata
        value:
          type: string
          description: the value of the metadata
      required:
        - key
        - value

````